diff --git a/mandoc_aux.h b/mandoc_aux.h
index e72fe4e..4a8c847 100644
--- a/mandoc_aux.h
+++ b/mandoc_aux.h
@@ -27,3 +27,8 @@ char		 *mandoc_strdup(const char *);
 char		 *mandoc_strndup(const char *, size_t);
 
 __END_DECLS
+
+/* account for hurd-i386 not defining PATH_MAX */
+#ifndef PATH_MAX
+#  define PATH_MAX 4096
+#endif
diff --git a/compat_fts.c b/compat_fts.c
index 194c565..59a148b 100644
--- a/compat_fts.c
+++ b/compat_fts.c
@@ -49,6 +49,7 @@ int dummy;
 #include <string.h>
 #include <unistd.h>
 #include "compat_fts.h"
+#include "mandoc_aux.h"
 
 #define MAXIMUM(a, b)	(((a) > (b)) ? (a) : (b))
 
diff --git a/manpage.c b/manpage.c
index 999f3d3..175db09 100644
--- a/manpage.c
+++ b/manpage.c
@@ -30,6 +30,7 @@
 
 #include "manpath.h"
 #include "mansearch.h"
+#include "mandoc_aux.h"
 
 static	void	 show(const char *, const char *);
 
